Skip to content

ML Prep API (v1)

Download OpenAPI description
Languages
Servers
Mock server

http://{{your_prep_ip_address}}/

Authenticate

Operations

Backups

Operations

Calibration

Operations

Camera

Operations

Configuration

Operations

Credentials

Operations

Deck

Operations

Diagnostics

Operations

Enclosure

Operations

Environment

Operations

Errors

Operations

HepaUv

Operations

Instruments

Operations

Labware

Operations

LabwareCategories

Operations

LabwareSignature

Operations

Lighting

Operations

LiquidClass

Operations

Maintenance

Operations

NetworkConfiguration

Operations

Power

Operations

ProtocolRun

Operations

Creates a new run, schedules, and populates load instructions

Request

Upon completion a LoadInstrucionReadyEvent message is sent over the RunStatus web socket notfiying any connected clients that load instructions can be retrieved by sending a get to this controller /LoadInstructions.

Security
Bearer
Body
protocolIdinteger(int32)

The database id for the protocol to run

simulateboolean

Flag indicating whether to run it in simulation mode or not

recompileboolean

Flag indicating whether to force verification of the protocol

curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/protocol-run/create' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -d '{
    "protocolId": 0,
    "simulate": true,
    "recompile": true
  }'

Responses

The run was created successfully

Response
No content

Submit the hit-picking file

Request

Security
Bearer
Bodyapplication/json
protocolIdinteger(int32)

The database id of the protocol

stepIdinteger(int32)

The database id of the hit-picking step

fileNamestring or null

The name of the file

fileContentsstring or null

The content of the hit-picking file

curl -i -X PUT \
  'http://{{your_prep_ip_address}}/api/v1/protocol-run/submit-hit-pick-file' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "protocolId": 0,
    "stepId": 0,
    "fileName": "string",
    "fileContents": "string"
  }'

Responses

The hit-picking file was submitted successfully

Response
No content

Submit the file for reagent from file

Request

Security
Bearer
Bodyapplication/json
protocolIdinteger(int32)

The database id of the protocol

stepIdinteger(int32)

The database id of the hit-picking step

fileNamestring or null

The name of the file

fileContentsstring or null

The content of the hit-picking file

curl -i -X PUT \
  'http://{{your_prep_ip_address}}/api/v1/protocol-run/submit-reagent-from-file-file' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "protocolId": 0,
    "stepId": 0,
    "fileName": "string",
    "fileContents": "string"
  }'

Responses

The file for reagent from file was submitted successfully

Response
No content

Protocols

Operations

ProtocolSteps

Operations

ProtocolSupport

Operations

ProtocolVerification

Operations

Repair

Operations

Report

Operations

Roles

Operations

RunData

Operations

Screenshots

Operations

ServiceSoftwareApi

Operations

Settings

Operations

SoftwareVersions

Operations

SystemReady

Operations

SystemTime

Operations

ThermalDevice

Operations

Traces

Operations

UserKba

Operations

Users

Operations

Verification

Operations

VerificationResult

Operations